import numpy as np
import matplotlib.pyplot as plt

IPA8=np.genfromtxt('o-10POINTS_ABINIT.YPP-X_probe_order_2',comments="#")
IPAQE=np.genfromtxt('o-10POINTS_QE.YPP-X_probe_order_2',comments="#")
IPA8full=np.genfromtxt('o-120POINTS.YPP-X_probe_order_2',comments="#")
IPA18full=np.genfromtxt('o-converged.YPP-X_probe_order_2',comments="#")
Luppi =  np.genfromtxt('Luppi_IPA.dat',comments="#")

fig=plt.figure(figsize=(10,10))

pmVm1toCGS=2.38721e-09

plt.title('SHG in AlAs: IPA')
plt.xlabel('eV')
plt.ylabel('$|\chi^2_{zxy}|$ (pm/V)',fontsize=18)
plt.xlim(1.,5)
plt.ylim(0,1400)
plt.plot(IPA8[:,0], np.sqrt(IPA8[:,5]**2+IPA8[:,6]**2)/pmVm1toCGS, marker='o',color='red',label="$|\chi^2|$ 8x8x8 kpts (10 freqs ABINIT)",linestyle="",ms=12)
plt.plot(IPAQE[:,0], np.sqrt(IPAQE[:,5]**2+IPAQE[:,6]**2)/pmVm1toCGS, marker='o',color='violet',label="$|\chi^2|$ 8x8x8 kpts (10 freqs QE)",linestyle="",ms=12)
plt.plot(IPA8full[:,0], np.sqrt(IPA8full[:,5]**2+IPA8full[:,6]**2)/pmVm1toCGS,color="green", linestyle="-",label="$|\chi^2|$ 8x8x8 kpts (120 freqs ABINIT)")
plt.plot(IPA18full[:,0], np.sqrt(IPA18full[:,5]**2+IPA18full[:,6]**2)/pmVm1toCGS,color="grey", linestyle="--",label="$|\chi^2|$ 18x18x18 kpts (120 freqs ABINIT)")
plt.plot(Luppi[:,0], Luppi[:,1],color="black", linewidth=3.0, linestyle=":",label="Luppi et al.")
plt.legend(fontsize=18)
plt.savefig("AlAs_results.png",format="png")
plt.show()

